/*
*			Sparta-Mod 
*			
*			Global variables
*/

// Sparta Mod on?
new sparta_mod_on;

// DB vars
new db_serverip, db_user, db_pass, db_name; 
new Handle:db_Tuple, Handle:db_Connection;

// Nvault vars
new nvault_handle = INVALID_HANDLE;

// Save by what?
new sp_saveby, sp_typesave;

// Player XPs & Level
new Player_XPs[MAX_PLAYERS], Player_Level[MAX_PLAYERS];

// Admin Flags & Admin Commands enable
new g_AdminFlag, g_EnableAdminC;

// Save the xps?
new sp_savexp;

// Bomb save
new g_Bombcarrier = 0;

// Save the XPs
new g_XPforLevel[MAX_LEVEL+1];

// Admin Give/Take XPs
new bool:g_AllowGivTakeXP;

// XP CVAR's
new sp_kill, sp_planting, sp_defusing, sp_spawnbomb, sp_dropbomb, sp_pickbomb, sp_rolekill;
new sp_follhost, sp_rescuehost, sp_killhost, sp_gotvip, sp_escvip, sp_ctwin, sp_twin;
new sp_bombplanting, sp_bombdefusing, sp_csdm_active;

// Round VAR
new bool:g_RoundOver;

// Bot's CVAR
new sp_botallow, sp_botlevel;

// Minplayers
new sp_minplayers;

// Messages
new gmsgStatusText, gmsgDeathMsg, gmsgScoreInfo, gmsgScreenShake, gmsgScreenFade, gmsgStatusIcon;

// The player Role - for giving XP
new g_PlayerRole[MAX_PLAYERS];

// Player start planting or defusing
new bool:g_PlantOrDefuse[MAX_PLAYERS];

// Player spawned with the bomb
new g_PlayerSpawnBomb;

// Freezetime is over?
new bool:g_FreezeTimeOver;

// Sometimes we need to give xps although the round is over
new bool:g_GiveEndRoundXP;

// Here we save the time until the ultimate is ready
new Player_UltDelay[MAX_PLAYERS], Player_Ultimate[MAX_PLAYERS];

// Ultimate delay
new sp_ultdelay;

// Precached Sounds & Sprites
new g_Sprites[MAX_SPRITES];

// Beginner's luck
new sp_beginnersluck, sp_beginnersdmg, sp_beginnerslevel;

// Enable or Disable sound's
new sp_soundon;

// Player Skills
new Player_Skill[MAX_PLAYERS][MAX_SKILLS];

// Skill Menu Player
new Player_SkillData[MAX_PLAYERS][4];

// The player should lose their skills although the skills are on 0
new bool:g_AllowGivTakeSkill;

// Is silenced or not?
new bool:Player_Silenced[MAX_PLAYERS];

// Here we save the items from the players and oher things
new Player_ItemData[MAX_PLAYERS][1];
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1031\\ f0\\ fs16 \n\\ par }
*/
